Skip to content
V2 (Legacy) API ReferenceGet started

Contact Card

Contact Card lets you set and share your contact information (name and profile photo) with chat participants via iMessage Name and Photo Sharing.

Use POST /v3/contact_card to create or update a card for a phone number. Use PATCH /v3/contact_card to update an existing active card. Use GET /v3/contact_card to retrieve the active card(s) for your partner account.

Sharing behavior: Sharing may not take effect in every chat due to limitations outside our control. We recommend calling the share endpoint once per day, after the first outbound activity.

Get contact cards
client.contactCard.retrieve(ContactCardRetrieveParams { phone_number } query?, RequestOptionsoptions?): ContactCardRetrieveResponse { contact_cards }
GET/v3/contact_card
Setup contact card
client.contactCard.create(ContactCardCreateParams { first_name, phone_number, image_url, last_name } body, RequestOptionsoptions?): SetContactCard { first_name, is_active, phone_number, 2 more }
POST/v3/contact_card
Update contact card
client.contactCard.update(ContactCardUpdateParams { phone_number, first_name, image_url, last_name } params, RequestOptionsoptions?): SetContactCard { first_name, is_active, phone_number, 2 more }
PATCH/v3/contact_card
ModelsExpand Collapse
SetContactCard { first_name, is_active, phone_number, 2 more }
first_name: string

First name on the contact card

is_active: boolean

Whether the contact card was successfully applied to the device

phone_number: string

The phone number the contact card is associated with

image_url?: string

Image URL on the contact card

last_name?: string

Last name on the contact card

ContactCardRetrieveResponse { contact_cards }
contact_cards: Array<ContactCard>
first_name: string
is_active: boolean
phone_number: string
image_url?: string
last_name?: string